<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetBaggageInfo StructType
 * @package Dg
 * @subpackage Structs
 */
class DgGetBaggageInfo extends AbstractStructBase
{
    /**
     * The BaggageInfoRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgBaggageInfoRQ
     */
    public $BaggageInfoRQ;
    /**
     * Constructor method for GetBaggageInfo
     * @uses DgGetBaggageInfo::setBaggageInfoRQ()
     * @param \dgsoft\StructType\DgBaggageInfoRQ $baggageInfoRQ
     */
    public function __construct(\dgsoft\StructType\DgBaggageInfoRQ $baggageInfoRQ = null)
    {
        $this
            ->setBaggageInfoRQ($baggageInfoRQ);
    }
    /**
     * Get BaggageInfoRQ value
     * @return \dgsoft\StructType\DgBaggageInfoRQ|null
     */
    public function getBaggageInfoRQ()
    {
        return $this->BaggageInfoRQ;
    }
    /**
     * Set BaggageInfoRQ value
     * @param \dgsoft\StructType\DgBaggageInfoRQ $baggageInfoRQ
     * @return \dgsoft\StructType\DgGetBaggageInfo
     */
    public function setBaggageInfoRQ(\dgsoft\StructType\DgBaggageInfoRQ $baggageInfoRQ = null)
    {
        $this->BaggageInfoRQ = $baggageInfoRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgGetBaggageInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
